summaryrefslogtreecommitdiffstats
path: root/source/d
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2022-01-05 20:09:37 +0000
committer Eric Hameleers <alien@slackware.com>2022-01-06 08:59:53 +0100
commit9ebd346711497d3ae7d6cae7f7f304e89fdaf116 (patch)
treeef5e301a3a986b7c180e77cd76c73fb75735c188 /source/d
parent8081d50c9c9ed481c230dc45bcb3483b2cbc2e39 (diff)
downloadcurrent-9ebd346711497d3ae7d6cae7f7f304e89fdaf116.tar.gz
current-9ebd346711497d3ae7d6cae7f7f304e89fdaf116.tar.xz
Wed Jan 5 20:09:37 UTC 202220220105200937
a/aaa_libraries-15.0-x86_64-12.txz: Rebuilt. Upgraded: libcap.so.2.62, libelf-0.186.so, libzstd.so.1.5.1, libcares.so.2.5.1, libexpat.so.1.8.2, libglib-2.0.so.0.7000.2, libgmodule-2.0.so.0.7000.2, libgobject-2.0.so.0.7000.2, libgthread-2.0.so.0.7000.2, libpcre2-8.so.0.10.4. Added: libunwind.so.8.0.1 (thanks to Jeebizz). a/kernel-generic-5.15.13-x86_64-1.txz: Upgraded. a/kernel-huge-5.15.13-x86_64-1.txz: Upgraded. a/kernel-modules-5.15.13-x86_64-1.txz: Upgraded. d/doxygen-1.9.3-x86_64-2.txz: Rebuilt. Fix manpage versions, build and install docs. Thanks to duncan_roe. d/kernel-headers-5.15.13-x86-1.txz: Upgraded. k/kernel-source-5.15.13-noarch-1.txz: Upgraded. l/libuv-1.43.0-x86_64-1.txz: Upgraded. l/pipewire-0.3.43-x86_64-1.txz: Upgraded. Remove redundant .sample files on package upgrade. When disabling pipewire, toss the .desktop files and keep the .sample files if both exist. Added missing X-KDE-autostart-phase=1 to pipewire-pulse.desktop.sample. Thanks to ZhaoLin1457. n/curl-7.81.0-x86_64-1.txz: Upgraded. x/fcitx-qt5-1.2.7-x86_64-1.txz: Upgraded. isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'source/d')
-rwxr-xr-xsource/d/doxygen/doxygen.SlackBuild17
1 files changed, 9 insertions, 8 deletions
diff --git a/source/d/doxygen/doxygen.SlackBuild b/source/d/doxygen/doxygen.SlackBuild
index f0b364b68..a1108753a 100755
--- a/source/d/doxygen/doxygen.SlackBuild
+++ b/source/d/doxygen/doxygen.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2018, 2021 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2018, 2021, 2022 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=doxygen
VERSION=${VERSION:-$(basename $(echo doxygen-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev) .src)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -87,7 +87,7 @@ cd build
-DDOC_INSTALL_DIR:STRING="/doc/doxygen-$VERSION" \
-DBUILD_SHARED_LIBS=OFF \
-Dbuild_app=ON \
- -Dbuild_doc=OFF \
+ -Dbuild_doc=ON \
-Dbuild_parse=ON \
-Dbuild_search=ON \
-Dbuild_wizard=ON \
@@ -95,17 +95,18 @@ cd build
-Duse_sqlite3=ON \
-G "Unix Makefiles" .. || exit 1
make $NUMJOBS || make || exit 1
+ make $NUMJOBS docs || make docs || exit 1
make install DESTDIR=$PKG || exit 1
cd ..
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-# Install manpages:
-mkdir -p $PKG/usr/man/man1
-cp -a doc/*.1 $PKG/usr/man/man1
-chown root:root $PKG/usr/man/man1/*
-chmod 644 $PKG/usr/man/man1/*
+# Fix manpages location:
+if [ -d $PKG/usr/share/man ]; then
+ mv $PKG/usr/share/man $PKG/usr
+ rmdir $PKG/usr/share
+fi
# Compress and if needed symlink the man pages:
if [ -d $PKG/usr/man ]; then